# generated by cabal-rpm-2.2.2 --standalone
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Haskell/

%global ghc_without_dynamic 1
%global ghc_without_shared 1
%undefine with_ghc_prof
%undefine with_haddock
%global without_prof 1
%global without_haddock 1
%global debug_package %{nil}

Name:           podenv
Version:        0.7.0
Release:        1%{?dist}
Summary:        A container wrapper

License:        Apache-2.0
Url:            https://hackage.haskell.org/package/podenv
# Begin cabal-rpm sources:
Source0:        https://github.com/podenv/podenv/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-SHA-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-base-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-dhall-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-either-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-gitrev-devel
BuildRequires:  ghc-lens-family-core-devel
#BuildRequires:  ghc-lens-family-th-devel
#BuildRequires:  ghc-linux-capabilities-devel
BuildRequires:  ghc-optparse-applicative-devel
BuildRequires:  ghc-relude-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-th-env-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-typed-process-devel
BuildRequires:  ghc-unix-devel
#BuildRequires:  ghc-with-utf8-devel
BuildRequires:  help2man
BuildRequires:  cabal-install
# for missing dep 'lens-family-th':
BuildRequires:  ghc-template-haskell-devel
# for missing dep 'with-utf8':
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-safe-exceptions-devel
# End cabal-rpm deps
Requires:       podman

%description
Podenv provides a declarative interface to manage containerized applications.

Using rootless containers, podenv let you run applications seamlessly.


%prep
# Begin cabal-rpm setup:
%setup -q
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%global cabal_install %{_bindir}/cabal
%cabal_install update
%if %{defined rhel} && 0%{?rhel} < 9
%cabal_install sandbox init
%cabal_install install
%endif
# End cabal-rpm build


%install
# Begin cabal-rpm install
mkdir -p %{buildroot}%{_bindir}
%if %{defined fedora} || 0%{?rhel} >= 9
%ghc_set_gcc_flags
%cabal_install install --install-method=copy --enable-executable-stripping --installdir=%{buildroot}%{_bindir}
%else
for i in .cabal-sandbox/bin/*; do
strip -s -o %{buildroot}%{_bindir}/$(basename $i) $i
done
%endif

set noclobber
mkdir -p %{buildroot}%{bash_completions_dir}
%{buildroot}%{_bindir}/%{name} --bash-completion-script %{name} | sed s/filenames/default/ > %{buildroot}%{bash_completions_dir}/%{name}

mkdir -p %{buildroot}%{_mandir}/man1/
help2man --no-info %{buildroot}%{_bindir}/%{name} > %{buildroot}%{_mandir}/man1/%{name}.1
# End cabal-rpm install


%files
# Begin cabal-rpm files:
%license LICENSE
%doc CHANGELOG.md README.md
%{_bindir}/%{name}
%{bash_completions_dir}/%{name}
%{_mandir}/man1/%{name}.1*
# End cabal-rpm files


%changelog
* Fri Feb 21 2025 Jens Petersen  <petersen@redhat.com> - 0.7.0-1
- https://github.com/podenv/podenv/blob/v0.7.0/CHANGELOG.md

* Wed Aug 10 2022 Jens Petersen <petersen@redhat.com> - 0.2.0-1
- https://hackage.haskell.org/package/podenv-0.2.0/changelog

* Sat May 14 2022 Jens Petersen <petersen@redhat.com> - 0.1.0-1
- initial stable release

* Sat Jan  8 2022 Jens Petersen <petersen@redhat.com> - 0.1.0.0-0.20220107
- update to 222e906
- https://github.com/podenv/podenv/commits/main

* Fri Dec  3 2021 Jens Petersen <petersen@redhat.com> - 0.1.0.0-0.20211202
- update to 8f1cd6b

* Wed Nov  3 2021 Jens Petersen <petersen@redhat.com> - 0.1.0.0-0.20211103
- update to 53e4455

* Tue Nov  2 2021 Jens Petersen <petersen@redhat.com> - 0.1.0.0-0.20211101
- update to b7e4c7a

* Mon Nov  1 2021 Jens Petersen <petersen@redhat.com> - 0.1.0.0-0.20211030
- update to c9eea03

* Tue Oct 26 2021 Jens Petersen <petersen@redhat.com> - 0.1.0.0-0.20211026
- update to 692682a

* Mon Oct 25 2021 Jens Petersen <petersen@redhat.com> - 0.1.0.0-0.20211025
- update to 5b1e758

* Mon Oct 18 2021 Jens Petersen <petersen@redhat.com> - 0.1.0.0-0.20211018
- update to d0f8b27
- short githash for snapshot should now appear in --version

* Mon Oct  4 2021 Jens Petersen <petersen@redhat.com> - 0.1.0.0-0.20211004
- update to a9c241a

* Thu Sep 23 2021 Jens Petersen <petersen@redhat.com> - 0.1.0.0-0.20210923.1
- update to 87838f7 tarball

* Thu Sep 23 2021 Jens Petersen <petersen@redhat.com> - 0.1.0.0-0.20210923
- update to be20ef4

* Wed Sep 22 2021 Jens Petersen <petersen@redhat.com> - 0.1.0.0-0.20210922
- initial packaging
